import * as logdown from 'logdown';
declare class LogFactory {
    static LOG_FILE_PATH: string;
    static LOG_FILE_NAME: string;
    static NAMESPACE: string;
    static COLOR_STEP: {
        B: number;
        G: number;
        R: number;
    };
    static COLOR_CODE: {
        B: number;
        G: number;
        R: number;
    };
    static getFileURI(): string;
    static getColor(): string;
    static addTimestamp(logTransport: logdown.TransportOptions): void;
    static writeToFile(logTransport: logdown.TransportOptions): Promise<void>;
    static getLogger(name: string, options?: {
        color?: string;
        forceEnable?: boolean;
    }): logdown.Logger;
}
export { LogFactory };
